#ifndef _PYGAME2_DOCCHANNEL_H_
#define _PYGAME2_DOCCHANNEL_H_

#define DOC_CHANNEL "This module takes care of general sound channel management and operations,\nwhich can apply to one or multiple channels at once without having a\nconcrete Channel object around."
#define DOC_CHANNEL_ALLOCATE "allocate (amount) -> (Channel, Channel, ...)\n\n(Pre-)Allocates a set of Channel objects."
#define DOC_CHANNEL_EXPIRE "expire (ms) -> None\n\nHalts the playback of all channels after *ms* milliseconds."
#define DOC_CHANNEL_FADE_OUT "fade_out (ms) -> int\n\nFades out the current audio playback for all channels.\n\nThis gradually reduces the volume for all channels to 0 over *ms*\nmilliseconds. The channels will be halted after the fadeout is complete.\n\nThe number of channels set to fade out will be returned."
#define DOC_CHANNEL_GET_VOLUME "get_volume () -> int\n\nGets the currently set overall volume for all Channel objects."
#define DOC_CHANNEL_HALT "halt () -> None\n\nStops the sound playback for all Channel objects."
#define DOC_CHANNEL_OPENED "opened () -> int\n\nGets the number of currently open (allocated) channels."
#define DOC_CHANNEL_PAUSE "pause () -> None\n\nPauses the sound playback for all Channel objects."
#define DOC_CHANNEL_PAUSED "paused () -> int\n\nGets the number of channels being currently paused."
#define DOC_CHANNEL_PLAYING "playing () -> int\n\nGets the number of channels currently playing."
#define DOC_CHANNEL_RESUME "resume () -> None\n\nResumes the playback for all paused Channel objects."
#define DOC_CHANNEL_SET_VOLUME "set_volume (volume) -> int\n\nSets the overall volume for all available Channel objects.\n\nSets the volume for all available Channel objects and returns the previous\nset volume."

#endif
